MooseX::Declare::Syntax::OptionHandling(3)

NAME
MooseX::Declare::Syntax::OptionHandling - Option parser dispatching

DESCRIPTION
This role will call a "add_foo_option_customization" for every "foo" option that is discovered.

METHODS

  ignored_options
  List[Str] Object->ignored_options ()

This method returns a list of option names that won't be dispatched. By default this only contains the "is" option.

REQUIRED METHODS

  get_identifier
  Str Object->get_identifier ()

This must return the name of the current keyword's identifier.

MODIFIED METHODS

  add_optional_customizations
  Object->add_optional_customizations (Object $context, Str $package, HashRef $options)

This will dispatch to the respective "add_*_option_customization" method for option handling unless the option is listed in the "ignored_options".

SEE ALSO

•   MooseX::Declare

•   MooseX::Declare::Syntax::NamespaceHandling

AUTHORS

•   Florian Ragwitz <rafl@debian.org>

•   Ash Berlin <ash@cpan.org>

•   Chas. J. Owens IV <chas.owens@gmail.com>

•   Chris Prather <chris@prather.org>

•   Dave Rolsky <autarch@urth.org>

•   Devin Austin <dhoss@cpan.org>

•   Hans Dieter Pearcey <hdp@cpan.org>

•   Justin Hunter <justin.d.hunter@gmail.com>

•   Matt Kraai <kraai@ftbfs.org>

•   Michele Beltrame <arthas@cpan.org>

•   Nelo Onyiah <nelo.onyiah@gmail.com>

•   nperez <nperez@cpan.org>

•   Piers Cawley <pdcawley@bofh.org.uk>

•   Rafael Kitover <rkitover@io.com>

•   Robert 'phaylon' Sedlacek <rs@474.at>

•   Stevan Little <stevan.little@iinteractive.com>

•   Tomas Doran <bobtfish@bobtfish.net>

•   Yanick Champoux <yanick@babyl.dyndns.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2011 by Florian Ragwitz.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.